Bug 533725 - Review Request: rubygem-linecache - Caches (Ruby source) files
Review Request: rubygem-linecache - Caches (Ruby source) files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 588445 (view as bug list)
Depends On:
Blocks: 532306
  Show dependency treegraph
 
Reported: 2009-11-08 14:40 EST by Jeroen van Meeuwen
Modified: 2010-05-03 14:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-23 10:56:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch so that linecache gem actually works (594 bytes, patch)
2009-11-16 12:55 EST, Mamoru TASAKA
no flags Details | Diff

  None (edit)
Description Jeroen van Meeuwen 2009-11-08 14:40:14 EST
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-linecache.spec
SRPM URL: http://www.kanarip.com/custom/f12/SRPMS/rubygem-linecache-0.43-1.fc12.src.rpm
Description: LineCache - caches (Ruby source) files as might be used in a debugger or a tool that works with sets of Ruby source files.
Comment 1 Mamoru TASAKA 2009-11-09 11:12:17 EST
Some notes:

* We now prefer to use %global rather than %define.

* Defined %ruby_sitelib macro is not used and seems unneeded.

* License tag should be GPLv2

* Make build.log more verbose (gem -V should do this), so that
  we can check if Fedora specific compilation flags are correctly
  honored.

* Please don't strip binaries by yourself and create debuginfo
  rpm correctly.

* Enable %check, because this gem contains test/ directory

* Mark %geminstdir/AUTHORS or so as %doc properly.

* This package should not own the directory %{ruby_sitearch}/
  itself.

* I don't think %{geminstdir}/lib can be removed.

* Please use defined macro (especially %geminstdir) also
  in other place (like in %files)
Comment 2 Jeroen van Meeuwen 2009-11-14 20:21:03 EST
(In reply to comment #1)
> Some notes:
> 
> * We now prefer to use %global rather than %define.
> 

Fixed.

> * Defined %ruby_sitelib macro is not used and seems unneeded.
> 

Fixed.

> * License tag should be GPLv2
> 

Fixed.

> * Make build.log more verbose (gem -V should do this), so that
>   we can check if Fedora specific compilation flags are correctly
>   honored.
> 

Fixed, and it does.

> * Please don't strip binaries by yourself and create debuginfo
>   rpm correctly.
> 

Fixed.

> * Enable %check, because this gem contains test/ directory
> 

Fixed.

> * Mark %geminstdir/AUTHORS or so as %doc properly.
> 

Fixed this file, and other files as well.

> * This package should not own the directory %{ruby_sitearch}/
>   itself.
> 

Fixed.

> * I don't think %{geminstdir}/lib can be removed.
> 

Fixed.

> * Please use defined macro (especially %geminstdir) also
>   in other place (like in %files)  

Fixed.

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-linecache.spec
New SRPM: http://www.kanarip.com/custom/f12/SRPMS/rubygem-linecache-0.43-2.fc12.src.rpm
Comment 3 Mamoru TASAKA 2009-11-16 12:55:01 EST
Created attachment 369756 [details]
Patch so that linecache gem actually works

For -2:

* %define -> %global
  - Still %define is used in the first line.

* BR
  - "BuildRequires: rubygem(rake)" is needed for
    "rake test".

* %{geminstdir}/ext
  - I don't think this directory is needed and should completely
    be removed.
    ! Note
      - To avoid trace_nums.so regeneration in %check, rake test should
        be done under %_builddir%geminstdir, not under
        %buildroot%geminstdir

* Usability
-------------------------------------------------------------
[tasaka1@localhost ~]$ irb
irb(main):001:0> require 'rubygems'
=> true
irb(main):002:0> require 'linecache'
LoadError: no such file to load -- /usr/lib/ruby/gems/1.8/gems/linecache-0.43/lib/../lib/trace_nums
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
        from /usr/lib/ruby/gems/1.8/gems/linecache-0.43/lib/tracelines.rb:12
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
        from /usr/lib/ruby/gems/1.8/gems/linecache-0.43/lib/linecache.rb:63
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
        from (irb):2
        from /usr/lib/ruby/site_ruby/1.8/rubygems/version.rb:33
-------------------------------------------------------------
  - i.e. Currently the installed linecache gem does not work.
    This is because we move trace_nums.so from %geminstdir/ext to %ruby_sitearch.
    The attached patch (for example) is needed (on Fedora).
Comment 4 Mamoru TASAKA 2009-11-26 11:43:16 EST
ping?
Comment 5 Jeroen van Meeuwen 2009-12-14 09:19:43 EST
Fixed the issues, thanks for the patch!

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-linecache.spec
New SRPM: http://www.kanarip.com/custom/f12/SRPMS/rubygem-linecache-0.43-3.fc12.src.rpm
Comment 6 Mamoru TASAKA 2009-12-15 12:14:49 EST
Okay.

--------------------------------------------------------
    79  %check
    80  pushd %{_builddir}/%{name}-%{version}/%{geminstdir}
--------------------------------------------------------
can be simplified as:
pushd .%{geminstdir}

-------------------------------------------------------------
  This package (rubygem-linecache) is APPROVED by mtasaka
-------------------------------------------------------------
Comment 7 Jeroen van Meeuwen 2009-12-20 10:06:26 EST
New Package CVS Request
=======================
Package Name: rubygem-linecache
Short Description: Caches (Ruby source) files
Owners: kanarip
Branches: EL-5 F-11 F-12
InitialCC:
Comment 8 Kevin Fenzi 2009-12-21 14:48:24 EST
cvs done.
Comment 9 Mamoru TASAKA 2009-12-23 10:56:49 EST
Closing.
Comment 10 Mamoru TASAKA 2010-05-03 14:18:32 EDT
*** Bug 588445 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.